// Persistence of Vision Ray Tracer Scene Description File
// File: worlds_counter.inc
// Vers: 3.5 
// Desc: Worlds Within Worlds                                  
// Date: Feb 2002
// Auth: Jim Charter



        union {        
                box { <-4.6,   12.0, -79.4 > <   4.6, 12.01,  3.4 > texture { t_counter_top } }    
                box { <  -5,   11.5, -80 > <     5,    12,  4 > texture { t_counter } }
               
                box { <  -5,   5.5, -80 > <     5,    6,  4 > texture { t_counter } } 
                box { <  -5,   0.5, -80 > <     5,    0,  4 > texture { t_counter } }
                                
                box { <  -5,   0, 3.5 > <     5,    11.9,  4 > texture { t_counter } }
                box { <  -5,   0, -79.5 > <     5,    11.9, -80 > texture { t_counter } }
                                  
                
                box { <-4.6,   12.0,  5.6 > <   4.6, 12.01,  59.4 > texture { t_counter_top } }    
                box { <  -5,   11.6,  5 > <     5,    12,  60 > texture { t_counter } }              
                 
                box { <  -5,   5.5,  5 > <     5,    6,  60 > texture { t_counter } }        
                box { <  -5,   0.5,  5 > <     5,    0,  60 > texture { t_counter } } 
                
                box { <  -4.6,      0,  5.5 > <     4.6,  11.9,  5 > texture { t_counter } }        
                box { <  -4.6,      0,  59.5 > <     4.6,  11.9,  60 > texture { t_counter } } 
                
                
                transform transform_counter                 
        } 
        

        #local p_wood_dents1 =          
            pigment {
                dents turbulence 0 
                scale < 0.25, .05, 2 >
                color_map {
                    [0.00 color rgb CHSV2RGB ( <  15, .7, .7 > )  ]
                    [0.05 color rgb CHSV2RGB ( < 245, .1, .85 > )  ]
                    [1.00 color rgb CHSV2RGB ( < 245, .1, .85 > )  ]
                }
                
            }                
 
        #local p_wood_dents2 =          
            pigment {
                dents turbulence 0 
                scale < 0.35, .05, 1.5 >
                color_map {
                    [0.00 color rgb CHSV2RGB ( <  15, .7, .7 > )  ]
                    [0.025 color Clear  ]
                    [1.00 color Clear  ]
                }
                
            }                
 
        #local p_wood_dents3 =          
            pigment {
                dents turbulence 0 
                scale < 0.15, .05, 0.5 >
                color_map {
                    [0.00 color rgb CHSV2RGB ( <  15, .7, .7 > )  ]
                    [0.045 color Clear  ]
                    [1.00 color Clear  ]
                }
                
            } 
            
        #local p_wood_dents4 =          
            pigment {
                dents turbulence 0 
                scale < 0.04, .05, 2.1 >
                color_map {
                    [0.00 color rgb CHSV2RGB ( <  15, .7, .7 > )  ]
                    [0.045 color Clear  ]
                    [1.00 color Clear  ]
                }
                
            }                                  
      
        #local fn_wood_dents1 = function { pigment { p_wood_dents1 rotate y*-5 } }  
        #local fn_wood_dents2 = function { pigment { p_wood_dents2 rotate y*35 } } 
        #local fn_wood_dents3 = function { pigment { p_wood_dents3 rotate y*35 } }   
        #local fn_wood_dents4 = function { pigment { p_wood_dents4 rotate y*55 } } 
        #local t_wood_dents = texture { pigment { p_wood_dents1 rotate y*-5 } } 
                              texture { pigment { p_wood_dents2 rotate y*35 } }  
                              texture { pigment { p_wood_dents3 rotate y*50 } }
                              texture { pigment { p_wood_dents4 rotate y*55 } } 
                              texture { t_wood_counter }     
        isosurface {     
                  function { y - fn_wood_dents1 ( x,y,z ).red*.05   
                               - fn_wood_dents2 ( x,y,z ).red*.05   
                               - fn_wood_dents3 ( x,y,z ).red*.05 
                               - fn_wood_dents4 ( x,y,z ).red*.05 
                  }  
                  contained_by { box { < -3.5, -.5, -12 > <  3, .5, 12  > }  } 
                  accuracy 0.01  max_gradient 1.8
                  texture { t_wood_dents } 
                  translate <  2, 12.5, -20 >
                  
                  transform transform_counter    
        }      